


update doc_flujoDocumento set id_estadoTipoDocumento_resultado =(
select top 1  estado.id  from doc_estadotipodocumento estado where estado.id_tipodocumento=3 and 
estado.estadotipodocumento_codigo='CUR' 
)
,replicarAtributos =0,replicarComentario=0,replicarItems =0,replicarItemsActividades =0
from 
(select doc_flujoDocumento .id as id from doc_flujodocumento
inner join doc_subtipodocumento origen on origen.id=doc_flujoDocumento .id_subtipoDocumento_origen
where origen .id_tipoDocumento =3
and flujodocumento_codigo in('cerrarRQ','genSal') ) principal
where doc_flujoDocumento .id=principal .id 
